%define	rname	network-manager-applet
Name:		networkmanager-applet
Summary:	Network connection manager applet for GNOME
Version:	0.8.6.0
%define subrel 1
Release:        %mkrel 0
Group:		System/Configuration/Networking
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.8/%{rname}-%{version}.tar.xz
Patch0:		network-manager-applet-0.7.999-dont-start-in-kde.patch
BuildRequires:	intltool
BuildRequires:	libnm-glib-devel >= 0.8.4
BuildRequires:	libnm-glib-vpn-devel >= 0.8.4
BuildRequires:	libGConf2-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gnome-bluetooth-devel
BuildRequires:	libiw-devel
BuildRequires:	libnotify-devel
BuildRequires:	polkit-1-devel
Requires:	networkmanager
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for GNOME's notification area
but it also works for other desktop environments which provide a system
tray like KDE or XFCE. It displays the available networks and allows to
easily switch between them. For encrypted networks it will prompt the user
for the key/passphrase and it can optionally store them in the
gnome-keyring.

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p1

%build
autoreconf -fi
%configure2_5x	--disable-static \
		--enable-more-warnings=no
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang nm-applet

%clean
rm -rf %{buildroot}

%files -f nm-applet.lang
%defattr(-,root,root)
%doc ChangeLog CONTRIBUTING
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%dir %{_datadir}/nm-applet/
%{_datadir}/nm-applet/*.png
%{_datadir}/nm-applet/*.ui
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/gnome-bluetooth/plugins/libnma.la
%{_libdir}/gnome-bluetooth/plugins/libnma.so
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%{_sysconfdir}/gconf/schemas/nm-applet.schemas


%changelog
* Fri Feb 03 2012 Oden Eriksson <oeriksson@mandriva.com> 0.8.6.0-0.1mdv2010.2
- backported for firefox-10.0

* Fri Nov 11 2011 Oden Eriksson <oeriksson@mandriva.com> 0.8.6.0-0.1
- 0.8.6.0

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 0.8.4-2mdv2011.0
+ Revision: 677158
- cleanup spec file
- rebuild to add gconf2 as req

* Thu Apr 21 2011 Funda Wang <fwang@mandriva.org> 0.8.4-1
+ Revision: 656404
- disable warnings
- bump req
- new version 0.8.4

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 0.8.3.999-1
+ Revision: 650762
- new version 0.8.3.999

* Sat Mar 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.998-1
+ Revision: 647051
- 0.8.4-rc1

* Sat Mar 05 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.997-1
+ Revision: 642103
- update to 0.8.4-beta3

* Fri Nov 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 593784
- 0.8.2 final

* Thu Nov 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.1.999-1mdv2011.0
+ Revision: 593131
- update to 0.8.2-rc1

  + Funda Wang <fwang@mandriva.org>
    - new version 0.8.1

* Sat Jul 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.0.999-1mdv2011.0
+ Revision: 554751
- new version 0.8.1-rc

* Thu Feb 25 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-1mdv2010.1
+ Revision: 511187
- new version

* Sat Feb 06 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1.git20100122.2mdv2010.1
+ Revision: 501460
- Don't autostart the applet in KDE as KDE has its own applet now

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1.git20100122.1mdv2010.1
+ Revision: 495148
- Update to 0.7.999+ snapshot

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.997-0.git20100101.1mdv2010.1
+ Revision: 484910
- Update to new snapshot

* Tue Nov 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091117.1mdv2010.1
+ Revision: 467054
- Update to new git snapshot

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.1mdv2010.1
+ Revision: 465802
- Add BuildRoot to SPEC file
- First Mandriva package
- create networkmanager-applet

